<script>
import {useStore} from 'vuex'

import MenuProjects from "@/views/pages/projects_detail/MenuProjects.vue";
import MenuCategories from "@/views/pages/categories_detail/MenuCategories.vue";
import MenuUsers from "@/views/pages/users_detail/MenuUsers.vue";
import {HOST_API} from "@/vars";


export default {
  name: 'Dashboard',
  components: {
    MenuProjects,
    MenuCategories,
    MenuUsers
  },
  setup() {
    const store = useStore()
    return {
      store,
    }
  },
  data: () => ({
  }),
  async created() {

  },
  async mounted() {
    await this.getProfile()
  },
  methods: {
    async getProfile() {

      const response = await fetch(HOST_API + `/api/authentication/profile/`, {
        method: 'GET',
        headers: {
          'Content-Type': 'application/json',
          'Authorization': `Bearer ${this.store.state.authentication.access}`,
        }
      })
      this.store.state.profile = await response.json()
    },
  }
}


</script>

<template>
  <div class="grid">

    <MenuProjects/>

    <MenuCategories/>

    <MenuUsers/>

  </div>
</template>
